import FileSystem from 'fs'
import Ini from 'ini'
import { settings } from 'cluster';

const iniPath = './res/app.ini'

/**
 * 
 */
export const readSettings = () => {
    const file = FileSystem.readFileSync(iniPath, 'utf-8')
    return Ini.parse(file)
}

/**
 * 
 * @param {*} settings 
 */
export const writeSettings = settings => {
    const newSettings = Ini.stringify(settings)
    FileSystem.writeFileSync(iniPath, newSettings)
}